summaryrefslogtreecommitdiffstats
path: root/system/wine
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-12 17:46:21 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:46:21 +0200
commitaed534df488e2f6b915b5d86251d7d884828ffc6 (patch)
treeeb5fe6a576e2477a2345120494c185fdf431068f /system/wine
parentd18f668186bc3fb63bcbfffe67f90087a2178e1e (diff)
downloadslackbuilds-aed534df488e2f6b915b5d86251d7d884828ffc6.tar.gz
slackbuilds-aed534df488e2f6b915b5d86251d7d884828ffc6.tar.xz
system/wine: Updated for version 1.1.17
Diffstat (limited to 'system/wine')
-rw-r--r--system/wine/IE_fix_maybe.patch49
-rw-r--r--system/wine/README7
-rw-r--r--system/wine/doinst.sh1
-rw-r--r--system/wine/wine.SlackBuild42
-rw-r--r--system/wine/wine.info6
5 files changed, 83 insertions, 22 deletions
diff --git a/system/wine/IE_fix_maybe.patch b/system/wine/IE_fix_maybe.patch
new file mode 100644
index 0000000000..07bc4d6d51
--- /dev/null
+++ b/system/wine/IE_fix_maybe.patch
@@ -0,0 +1,49 @@
+NOTE: This patch is *intended* to be REVERSED when applied to the wine
+source, as we need to *remove* this from the code, or else IE might
+have problems. --rworkman (SBo)
+####### End my comments ########
+
+Module: wine
+Branch: master
+Commit: 628a515b83c317388ddb4fa9a7b29a42135acee0
+URL: http://source.winehq.org/git/wine.git/?a=commit;h=628a515b83c317388ddb4fa9a7b29a42135acee0
+
+Author: Rob Shearman <rob at codeweavers.com>
+Date: Fri Jan 4 17:43:56 2008 +0000
+
+kernel32: Implement RegisterWaitForSingleObjectEx.
+
+---
+
+ dlls/kernel32/sync.c | 14 ++++++++++++--
+ 1 files changed, 12 insertions(+), 2 deletions(-)
+
+diff --git a/dlls/kernel32/sync.c b/dlls/kernel32/sync.c
+index 168a00f..b8b8f0c 100644
+--- a/dlls/kernel32/sync.c
++++ b/dlls/kernel32/sync.c
+@@ -270,9 +270,19 @@ HANDLE WINAPI RegisterWaitForSingleObjectEx( HANDLE hObject,
+ WAITORTIMERCALLBACK Callback, PVOID Context,
+ ULONG dwMilliseconds, ULONG dwFlags )
+ {
+- FIXME("%p %p %p %d %d\n",
++ NTSTATUS status;
++ HANDLE hNewWaitObject;
++
++ TRACE("%p %p %p %d %d\n",
+ hObject,Callback,Context,dwMilliseconds,dwFlags);
+- return 0;
++
++ status = RtlRegisterWait( &hNewWaitObject, hObject, Callback, Context, dwMilliseconds, dwFlags );
++ if (status != STATUS_SUCCESS)
++ {
++ SetLastError( RtlNtStatusToDosError(status) );
++ return NULL;
++ }
++ return hNewWaitObject;
+ }
+
+ /***********************************************************************
+
+
+
diff --git a/system/wine/README b/system/wine/README
index cad86c41e5..7bb3118f50 100644
--- a/system/wine/README
+++ b/system/wine/README
@@ -1,7 +1,10 @@
Wine is an Open Source implementation of the Windows API on top of X and Unix.
-This script includes the capability to enable/disable OpenGL acceleration:
-read the script for more information.
+If your video card does not support hardware-accelerated OpenGL, then run the
+script like this: OPENGL=NO ./wine.SlackBuild
+
+If you wish to apply an unoffical patch that might fix up some problems
+running IE in wine, then do this: IEFIX=YES ./wine.SlackBuild
While it's not strictly required, the fontforge package is strongly
recommended to be installed when building wine.
diff --git a/system/wine/doinst.sh b/system/wine/doinst.sh
index b310837870..392c12adb9 100644
--- a/system/wine/doinst.sh
+++ b/system/wine/doinst.sh
@@ -1,4 +1,3 @@
-
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/system/wine/wine.SlackBuild b/system/wine/wine.SlackBuild
index b9a34ecb79..3f11c641e7 100644
--- a/system/wine/wine.SlackBuild
+++ b/system/wine/wine.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wine
-# Copyright 2006-2008 Robby Workman Northport, AL, USA
+# Copyright 2006-2009 Robby Workman Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wine
-VERSION=1.0.1
+VERSION=1.1.17
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,10 +33,12 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# If you have a video card that supports hardware accelerated OpenGL,
-# then set the variable below to "YES" - otherwise, "NO"
-# This can be specified on the command line when calling the build script:
-# OPENGL=NO ./wine.SlackBuild
+# Some user reports indicate the wine and IE don't get along
+# always, and that this might fix it. The wine team doesn't
+# agree that it's the right thing to do, but it's your call.
+IEFIX=${IEFIX:-NO}
+# If your video card does not support hardware accelerated OpenGL,
+# the run the script like: OPENGL=NO ./wine.SlackBuild
OPENGL=${OPENGL:-YES}
if [ "$ARCH" = "i486" ]; then
@@ -62,11 +64,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# If IEFIX != NO above, then reverse the patch
+if [ "$IEFIX" != "NO" ]; then
+ patch -p1 -R --verbose < $CWD/IE_fix_maybe.patch
+fi
+
# If OPENGL=YES above, then enable opengl; otherwise, disable it.
if [ "$OPENGL" = "YES" ]; then
- do_opengl="en"
+ do_opengl="with"
else
- do_opengl="dis"
+ do_opengl="without"
fi
CFLAGS="$SLKCFLAGS" \
@@ -75,26 +82,29 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
- --with-x \
- --disable-debug \
- --${do_opengl}able-opengl \
+ --${do_opengl}-opengl \
--build=$ARCH-slackware-linux
make depend
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ANNOUNCE AUTHORS COPYING.LIB LICENSE* README VERSION \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ANNOUNCE AUTHORS COPYING.LIB LICENSE* README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/wine/wine.info b/system/wine/wine.info
index 1007f12ef8..7cf352fc96 100644
--- a/system/wine/wine.info
+++ b/system/wine/wine.info
@@ -1,8 +1,8 @@
PRGNAM="wine"
-VERSION="1.0.1"
+VERSION="1.1.17"
HOMEPAGE="http://www.winehq.com/"
-DOWNLOAD="http://ibiblio.org/pub/linux/system/emulators/wine/wine-1.0.1.tar.bz2"
-MD5SUM="b49540f4ed194c7e8da4cdc4b5bd3404"
+DOWNLOAD="http://ibiblio.org/pub/linux/system/emulators/wine/wine-1.1.17.tar.bz2"
+MD5SUM="ad73833f304e6c6e4d827989ff75db3d"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
APPROVED="dsomero"